Global Const LF_FACESIZE = 32
Global Const LF_FULLFACESIZE = 64

Global Const RASTER_FONTTYPE = &H1
Global Const DEVICE_FONTTYPE = &H2
Global Const TRUETYPE_FONTTYPE = &H4

Type NEWLOGFONT
    lfHeight As Integer
    lfWidth As Integer
    lfEscapement As Integer
    lfOrientation As Integer
    lfWeight As Integer
    lfItalic As String * 1
    lfUnderline As String * 1
    lfStrikeOut As String * 1
    lfCharSet As String * 1
    lfOutPrecision As String * 1
    lfClipPrecision As String * 1
    lfQuality As String * 1
    lfPitchAndFamily As String * 1
    lfFaceName As String * LF_FACESIZE
    lfFullName As String * LF_FULLFACESIZE   'truetype only
    lfStyle As String * LF_FACESIZE          'truetype only
End Type

' weight values
Global Const FW_DONTCARE = 0
Global Const FW_THIN = 100
Global Const FW_EXTRALIGHT = 200
Global Const FW_LIGHT = 300
Global Const FW_NORMAL = 400
Global Const FW_MEDIUM = 500
Global Const FW_SEMIBOLD = 600
Global Const FW_BOLD = 700
Global Const FW_EXTRABOLD = 800
Global Const FW_HEAVY = 900

Global Const FW_ULTRALIGHT = FW_EXTRALIGHT
Global Const FW_REGULAR = FW_NORMAL
Global Const FW_DEMIBOLD = FW_SEMIBOLD
Global Const FW_ULTRABOLD = FW_EXTRABOLD
Global Const FW_BLACK = FW_HEAVY

' CharSet values */
Global Const ANSI_CHARSET = 0
Global Const DEFAULT_CHARSET = 1
Global Const SYMBOL_CHARSET = 2
Global Const SHIFTJIS_CHARSET = 128
Global Const HANGEUL_CHARSET = 129
Global Const CHINESEBIG5_CHARSET = 136
Global Const OEM_CHARSET = 255

' OutPrecision values */
Global Const OUT_DEFAULT_PRECIS = 0
Global Const OUT_STRING_PRECIS = 1
Global Const OUT_CHARACTER_PRECIS = 2
Global Const OUT_STROKE_PRECIS = 3
Global Const OUT_TT_PRECIS = 4
Global Const OUT_DEVICE_PRECIS = 5
Global Const OUT_RASTER_PRECIS = 6
Global Const OUT_TT_ONLY_PRECIS = 7

' ClipPrecision values */
Global Const CLIP_DEFAULT_PRECIS = &H0
Global Const CLIP_CHARACTER_PRECIS = &H1
Global Const CLIP_STROKE_PRECIS = &H2
Global Const CLIP_MASK = &HF
Global Const CLIP_LH_ANGLES = &H10
Global Const CLIP_TT_ALWAYS = &H20
Global Const CLIP_EMBEDDED = &H80

' Quality values */
Global Const DEFAULT_QUALITY = 0
Global Const DRAFT_QUALITY = 1
Global Const PROOF_QUALITY = 2

' PitchAndFamily pitch values (low 4 bits) */
Global Const DEFAULT_PITCH = &H0
Global Const FIXED_PITCH = &H1
Global Const VARIABLE_PITCH = &H2

' PitchAndFamily family values (high 4 bits) */
Global Const FF_DONTCARE = &H0
Global Const FF_ROMAN = &H10
Global Const FF_SWISS = &H20
Global Const FF_MODERN = &H30
Global Const FF_SCRIPT = &H40
Global Const FF_DECORATIVE = &H50

Type NEWTEXTMETRIC
    tmHeight As Integer
    tmAscent As Integer
    tmDescent As Integer
    tmInternalLeading As Integer
    tmExternalLeading As Integer
    tmAveCharWidth As Integer
    tmMaxCharWidth As Integer
    tmWeight As Integer
    tmItalic As String * 1
    tmUnderlined As String * 1
    tmStruckOut As String * 1
    tmFirstChar As String * 1
    tmLastChar As String * 1
    tmDefaultChar As String * 1
    tmBreakChar As String * 1
    tmPitchAndFamily As String * 1
    tmCharSet As String * 1
    tmOverhang As Integer
    tmDigitizedAspectX As Integer
    tmDigitizedAspectY As Integer
    ntmFlags As Long
    ntmSizeEM As Integer
    ntmCellHeight As Integer
    ntmAvgWidth As Integer
End Type

' ntmFlags field flags
Global Const NTM_REGULAR = &H40
Global Const NTM_BOLD = &H20
Global Const NTM_ITALIC = &H1

